Skip to main content
POST
/
customers
{
  "corporation_id": "corp_123",
  "name": "Acme Corporation",
  "email": "contact@acme.com",
  "external_id": "ext_456",
  "shipping_address": {
    "line1": "123 Main St",
    "line2": "Suite 100",
    "city": "San Francisco",
    "state": "CA",
    "postal_code": "94105",
    "country": "US"
  }
}
{
  "id": "cust_789",
  "name": "Acme Corporation",
  "email": "contact@acme.com",
  "corporation_id": "corp_123",
  "created_at": 1706000000
}
Creates a new customer for a corporation.

Request body

corporation_id
string
required
The unique identifier for the corporation
name
string
required
Customer name (minimum 3 characters)
email
string
Customer email address (must be valid email format)
external_id
string
External identifier for the customer from your system
shipping_address
object
Customer’s shipping address

Response

id
string
Unique identifier for the customer
name
string
Customer name
email
string
Customer email address
corporation_id
string
The corporation ID this customer belongs to
created_at
int64
Unix timestamp of when the customer was created
source_platform_id
string
Source platform identifier (if applicable)
source_platform
string
Source platform name (if applicable)
{
  "corporation_id": "corp_123",
  "name": "Acme Corporation",
  "email": "contact@acme.com",
  "external_id": "ext_456",
  "shipping_address": {
    "line1": "123 Main St",
    "line2": "Suite 100",
    "city": "San Francisco",
    "state": "CA",
    "postal_code": "94105",
    "country": "US"
  }
}
{
  "id": "cust_789",
  "name": "Acme Corporation",
  "email": "contact@acme.com",
  "corporation_id": "corp_123",
  "created_at": 1706000000
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

A display name for this customer.

Minimum string length: 3
Example:

"John Doe"

corporation_id
string
required

The unique identifier for a corporation this customer belongs to.

Example:

"b6d009b0-d174-463f-b030-94643c28e209"

email
string<email>

Email address of the customer.

shipping_address
object
external_id
string

External identifier for the customer.

Response

Information about the created customer

data
object
message
string
Example:

"Successfully created customer."